import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:simple_update/simple_update.dart';

void main() {
  const MethodChannel channel = MethodChannel('simple_update');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await SimpleUpdate.platformVersion, '42');
  });

  test('testSimpleUpdate', () async {
    var updater = new SimpleUpdate(appId: 1, appKey: 'g4rehwe8fq4qe9rgh4q', apiPrefix: 'http://192.168.101.43:8012/api');
    var res = await updater.getLatest(Platform.Android);
    print(res);
  });
}
